
Figure - Bug #118825
【BSP】【DVT】执行adb reboot recovery 命令之后，界面显示异常
2023-06-16 20:04 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-06-16

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110版本

Resolution: WONTFIX Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】：副屏上电

操作步骤：在正常开机的情况下，执行adb reboot recovery

预期结果：设备黑屏显示

实际结果：会显示一个故障状态的安卓机器人图标

History

#1 - 2023-06-19 11:37 - CD BSP-杜磊

- Category changed from BSP to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-杜磊 to CD FW 曹覃刚

通过二分法排除：

adb reboot recovery

５/29号的版本测试OK

6/01号的版本测试Fail， 此版本主要为AF相关修改

#2 - 2023-06-19 14:31 - CD FW 曹覃刚

- File Screenshot from 2023-06-19 13-52-23.png added

- Category changed from CD-FW to BSP

- Assignee changed from CD FW 曹覃刚 to CD BSP-杜磊

Hi 杜磊

6/01号的版本测试Fail， 此版本主要为AF相关修改

请确认截图勒，看看changelog, BSP和LC也入了很多代码
#3 - 2023-06-19 17:20 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD TPM-王祥林

FTP:

/Pre_figure/DailyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/NULL/

如下测试均使用UD版本：

05/30 DB版本, 验证OK

05/31 DB版本，验证OK

06/01 DB版本，验证Fail

BSP: Display相关提交验证：

05/31 UD Flat包　＋　06/01　UD boot.img   验证结果：OK

请其他提交相关owner进行排查

#4 - 2023-06-25 14:18 - CD TPM-王祥林

实际场景不会遇到，降低优先级，后面再处理。

#5 - 2023-06-28 19:12 - 移动测试一组_CDTS 刘强

- File 20230628-191106.jpg added

0110-升级到0628 db版本失败后进入recovery复现出现UI界面

#6 - 2023-08-03 18:19 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to WONTFIX

OTA后进入recovery界面的问题已经处理，adb reboot recovery命令之后界面显示异常的问题实际场景不存在，不做处理。

#7 - 2023-08-03 18:24 - CD TPM-王祥林

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_TEST 王成

#8 - 2023-08-24 17:16 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#9 - 2023-08-24 17:16 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

recovery模式显示异常.jpg 66 KB 2023-06-16 CDTS_TEST 王成

Screenshot from 2023-06-19 13-52-23.png 356 KB 2023-06-19 CD FW 曹覃刚

20230628-191106.jpg 101 KB 2023-06-28 移动测试一组_CDTS 刘强
